#(set! point-and-click line-column-location)

\header {
    title = "Klavier Konzert F dur"
    subtitle = "K. 459 (1784)"
    composer = "W. A. Mozart (1756-1791)"
    opus = "KV.~459"
        
    mutopiatitle = "Piano Concerto KV. 459"
    mutopiacomposer = "W. A. Mozart (1756-1791)"
    mutopiaopus = "KV. 459"
    mutopiainstrument = "Orchestra"
    date = "1784"
    source = "Breitkopf und Haertel (1878)"
    style = "Classical"
    copyright = "Public Domain"
    maintainer = "Maurizio Tomasi"
    maintainerEmail = "zio_tom78@hotmail.com"
    lastupdated = "2002/June/08"
}

% Some useful macros

cue = \property Voice.Stem \override #'flag-style = #'()

noCue = \property Voice.Stem \revert #'flag-style

raiseDynamics = \property Voice.DynamicText
    \override #'extra-offset = #'(-2 . 2)

lowerDynamics = \property Voice.DynamicText
    \override #'extra-offset = #'(-2 . -2)

cresc = #'(italic "cresc.")
decresc = #'(italic "decresc.")
staccato = #'(italic "staccato")
legato = #'(italic "legato")

restoreDynamics = \property Voice.DynamicText
    \revert #'extra-offset

raiseSlur = \property Voice.Slur
    \override #'attachment-offset = #'((0 . 0.5) 0 . 0.5)

lowerSlur = \property Voice.Slur
    \override #'attachment-offset = #'((0 . -0.5) 0 . -0.5)

RaiseSlur = \property Voice.Slur
    \override #'attachment-offset = #'((0 . 1.2) 0 . 1.2)

LowerSlur = \property Voice.Slur
    \override #'attachment-offset = #'((0 . -1.2) 0 . -1.2)

slurStemToStem = \property Voice.Slur
    \override #'attachment = #'(stem . stem)

slurDefToDef = \property Voice.Slur
    \revert #'attachment

restoreSlur = \property Voice.Slur
    \revert #'attachment-offset

RaiseText = \property Staff.TextScript
    \override #'extra-offset = #'(0 . 3)

raiseText = \property Staff.TextScript
    \override #'extra-offset = #'(0 . 1)

lowerText = \property Staff.TextScript
    \override #'extra-offset = #'(0 . -1)

LowerText = \property Staff.TextScript
    \override #'extra-offset = #'(0 . -2)

tupletNum = \property Voice.TupletBracket
    \set #'number-visibility = ##t

noTupletNum = \property Voice.TupletBracket
    \set #'number-visibility = ##f 

tupletBracket = \property Voice.TupletBracket
    \set #'bracket-visibility = ##t

noTupletBracket = \property Voice.TupletBracket
    \set #'bracket-visibility = ##f 

restoreText = \property Staff.TextScript
    \revert #'extra-offset

blankNotes = {
    \property Voice.NoteHead \override #'transparent = ##t
    \property Voice.Stem \override #'transparent = ##t
}

visibleNotes = {
    \property Voice.NoteHead \override #'transparent = ##f
    \property Voice.Stem \override #'transparent = ##f
}


setTrillWave = {
    \property Voice.TextSpanner \set #'type = #'trill
    \property Voice.TextSpanner \set #'edge-height = #'(2 . 2)
    \property Voice.TextSpanner \set #'edge-text = #'((line
    (music "scripts-trill") " ") . "")
}

% General markings and annotations for each movement

globalI = {
    \time 4/4
}


markingsI = \notes {
    \property Staff.TextScript \override #'extra-offset = #'(-3 . 3)
    s4^#'((Large upright) "Allegro.") s4 s2
    \restoreText
    \skip1*409
    \bar "|."
}



