\version "1.5.58"

\include "paper16.ly"

\include "defs.ly"

\include "flute-i.ly"
\include "oboe1-i.ly"
\include "oboe2-i.ly"

\include "solo-dynamics.ly"
\include "solo-right-i.ly"
\include "solo-left-i.ly"

\include "violin1-i.ly"
\include "violin2-i.ly"
\include "viola-i.ly"
\include "cello-i.ly"
\include "basso-i.ly"

\score {
    <
        \globalI
	\property Score.BarNumber \override #'padding = #3

	\context StaffGroup = winds <

	    \context Staff = flute <
	        \property Staff.autoBeaming = ##f
                \property Staff.midiInstrument = #"flute"
		\property Staff.instrument = "Flauto."
		\property Staff.instr = "Fl."

		\markingsI
		\fluteFirstMov
	    >

	    \context Staff = oboi <
		\property Staff.soloText = #"1."
		\property Staff.soloIIText = #"2."
		\property Staff.aDueText = #"a 2"
	        \property Staff.autoBeaming = ##f
                \property Staff.midiInstrument = #"oboe"
		\property Staff.instrument = "2 Oboi"
		\property Staff.instr = "Ob."

		\context Voice=one \partcombine Voice
		\context Thread=one \oboeIFirstMov
		\context Thread=two \oboeIIFirstMov
	    >

	>

	\context PianoStaff \notes <
	    \property PianoStaff.midiInstrument = "acoustic grand"
	    \property PianoStaff.instrument = "Pianoforte"
	    
	    \context Staff = upper <
		\property Score.BarNumber \override #'padding = #3
		\property Score.skipBars = ##t
		\property Staff.autoBeaming = ##f
		
		\globalI
		
		\soloRightHandFirstMov
	    >
	    
	    \context Dynamics=dynamics \dynamicsFirstMov

	    \context Staff = lower <
		\property Score.BarNumber \override #'padding = #3
		\property Score.skipBars = ##t
		\property Staff.autoBeaming = ##f
		
		\soloLeftHandFirstMov
	    >
	>
	
	\context StaffGroup = strings <

	    \context Staff = violinI <
	        \property Staff.autoBeaming = ##f
                \property Staff.midiInstrument = #"string ensemble 1"
		\property Staff.instrument = "Violino I."
		\property Staff.instr = "Vl.I"

		\markingsI
		\violinIFirstMov
	    >

	    \context Staff = violinII <
	        \property Staff.autoBeaming = ##f
                \property Staff.midiInstrument = #"string ensemble 1"
		\property Staff.instrument = "Violino II."
		\property Staff.instr = "Vl.II"

		\violinIIFirstMov
	    >

	    \context Staff = viola <
	        \property Staff.autoBeaming = ##f
                \property Staff.midiInstrument = #"string ensemble 1"
		\property Staff.instrument = "Viola."
		\property Staff.instr = "Vla"

		\violaFirstMov
	    >

	    \context Staff = celloAndBasso <
		\property Staff.soloText = #"Vc."
		\property Staff.soloIIText = #"Bassi."
		\property Staff.aDueText = #"Tutti."
	        \property Staff.autoBeaming = ##f
                \property Staff.midiInstrument = #"string ensemble 1"
		\property Staff.instrument = #'(lines "Violoncello"
		"e Basso.")
		\property Staff.instr = #'(lines "Vc." "e Bs.")

		\context Voice=one \partcombine Voice
		\context Thread=one \celloFirstMov
		\context Thread=two \bassoFirstMov
	    >
	>
    >

    \midi {
       \tempo 4 = 120
    }

    \paper {
	\translator {
	    \type "Engraver_group_engraver"
	    \name Dynamics
	    \consists "Output_property_engraver"
	    MinimumVerticalExtent = #'(-1 . 1)
	    
	    \consists "Script_engraver"
	    \consists "Dynamic_engraver"
	    \consists "Text_engraver"
	    
	    TextScript \override #'font-relative-size = #1
	    TextScript \override #'font-shape = #'italic
	    DynamicText \override #'extra-offset = #'(0 . 2.5)
	    Hairpin \override #'extra-offset = #'(0 . 2.5)
	    
	    \consists "Skip_req_swallow_translator"
	    
	    \consistsend "Axis_group_engraver"
	}

	\translator {
	    \PianoStaffContext
	    \accepts Dynamics
	    VerticalAlignment \override #'forced-distance = #7
	}

	\translator { \HaraKiriStaffContext }
    }
}
